TAU_PROFILE_STMT(3)

NAME
TAU_PROFILE_STMT - Executes a statement only when TAU is used.

SYNOPSIS

C/C++:

TAU_PROFILE_STMT(statement statement);

DESCRIPTION

TAU_PROFILE_STMT executes a statement, or declares a variable that is used only during profiling or for execution of a statement that takes place only when the instrumentation is active. When instrumentation is inactive (i.e., when profiling and tracing are turned off as described in Chapter 2), all macros are defined as null.

EXAMPLE

C/C++ :

TAU_PROFILE_STMT(T obj;); // T is a template parameter)
TAU_TYPE_STRING(str, "void () " + CT(obj) );